lpoptions(1)

NOME
lpoptions - mostra ou definir opções e predefinições da impressora

RESUMO
lpoptions [ -h server[:port] ] [ -E ] -d destination[/instance] [ -l ]
lpoptions [ -h server[:port] ] [ -E ] [ -p destination[/instance] ] -o option[=value] ...
lpoptions [ -h server[:port] ] [ -E ] [ -p destination[/instance] ] -r option
lpoptions [ -h server[:port] ] [ -E ] -x destination[/instance]

DESCRIÇÃO
lpoptionsmostra ou define opções e predefinições da impressora. Se nenhuma impressora for especificada usando a opção -p, é usada a impressora predefinida como descrito em lp(1).

Se nenhuma opção -l, -o, ou -r for especificada, as opções actuais são reportadas na saída standard.

As opções definidas com o comando lpoptions são usadas pelos comandos lp(1) e lpr(1) ao se submeter trabalhos.

Quando corrido pelo utilizador root. o lpoptions obtém e define opções predefinidas e instâncias para todos os utilizadores no ficheiro /etc/cups/lpoptions. Caso contrário, as predefinições por-utilizador são geridas no ficheiro ~/.cups/lpoptions.

OPÇÕES
lpoptions suporta as seguintes opções:

-E  Activa encriptação ao comunicar com o servidor CUPS.

-d destination[/instance]
    Define a impressora predefinida do utilizador para destination. Se for fornecido instance então é usada essa instância particular. Esta opção sobrepõe a impressora predefinida do sistema para o utilizador actual.

-h server[:port]
    Usa um servidor alternativo. Nota: Esta opção tem de ocorrer antes de todas as outras.

-l  Lista as opções específicas da impressora e as suas definições actuais.

-o option[=value]
    Especifica uma nova opção para o destino nomeado.

-p destination[/instance]
    Define o destino e instância, se especificado para quaisquer das opções que se seguem. Se a instância nomeada não existir então é criada. Os destinos só podem ser criados usando o programa lpadmin(8).

-r option
    Remove a opção especificada do destino nomeado.

-x destination[/instance]
    Remove as opções para o destino e instância nomeados, se especificados. Se a instância nomeada não existir então não faz nada. Os destinos só pode ser removidos usando o comando lpadmin(8).

FICHEIROS
~/.cups/lpoptions - predefinições de utilizador e instâncias criadas por utilizadores não-root.
/etc/cups/lpoptions - predefinições gerais-do-sistema e instâncias criadas pelo utilizador root.

DE ACORDO COM
O comando lpoptions é único do CUPS.

VEJA TAMBÉM
cancel(1), lp(1), lpadmin(8), lpr(1), lprm(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.